//--------------------------------------------------------------------
//     此代码由T4模板自动生成  byzhouhang 20210918
//	   生成时间 2021-12-23 13:20:59 
//     对此文件的更改可能会导致不正确的行为，并且如果重新生成代码，这些更改将会丢失。
//--------------------------------------------------------------------
using IRaCIS.Application.Services;
using IRaCIS.Core.Application.Auth;
using Microsoft.AspNetCore.Mvc;

namespace IRaCIS.Core.Application.Contracts
{
    public interface ITrialSiteSurveyService
    {
        Task<IResponseOutput> AddOrUpdateTrialSiteSurvey(TrialSiteSurveyAddOrEdit addOrEditTrialSiteSurvey);
        Task<IResponseOutput> DeleteTrialSiteSurvey(Guid trialSiteSurveyId);
        Task<LoginReturnDTO> GetSiteSurveyInfo(Guid trialSiteSurveyId, Guid trialId);
        Task<PageOutput<TrialSiteSurveyView>> GetTrialSiteSurveyList(TrialSiteSurveyQueryDTO surveyQueryDTO);
        Task<TrialSurveyInitInfo> GetTrialSurveyInitInfo(Guid trialId);
        Task<IResponseOutput> SendVerifyCode(SiteSurveySendVerifyCode userInfo);
        //Task<IResponseOutput> TrialSurveyLock(Guid trialSiteSurveyId, bool isLock);
        //IResponseOutput TrialSurveySubmmit(Guid trialId, Guid trialSiteSurveyId);
        Task<IResponseOutput> VerifySendCode(LoginDto userInfo, [FromServices] ITokenService _tokenService);
    }
}